All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sas.iquery.dataretrieval
Enum ResultSetEvent.EventType

    com.sas.iquery.dataretrieval.ResultSetEvent.EventType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ResultSetEvent.EventType>

Enclosing class:
  com.sas.iquery.dataretrieval.ResultSetEvent

    public static enum ResultSetEvent.EventType

Enum Constant Summary
`CLOSE`

Method Summary
`static ResultSetEvent.EventType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ResultSetEvent.EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Enum Constant Detail

### CLOSE

    public static final ResultSetEvent.EventType CLOSE

Method Detail

### values

    public static ResultSetEvent.EventType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ResultSetEvent.EventType c : ResultSetEvent.EventType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ResultSetEvent.EventType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.